package org.jivesoftware.smack.packet;

public class UnparsedIQ extends IQ {
   private final CharSequence content;

   public UnparsedIQ(String element, String namespace, CharSequence content) {
      super(element, namespace);
      this.content = content;
   }

   public CharSequence getContent() {
      return this.content;
   }

   protected IQ.IQChildElementXmlStringBuilder getIQChildElementBuilder(IQ.IQChildElementXmlStringBuilder xml) {
      throw new UnsupportedOperationException();
   }
}
